from django import forms

from .models import Proyecto, Riesgo, Accion


class ProyectoForm(forms.ModelForm):
    class Meta:
        model = Proyecto
        fields = ['referencia', 'titulo', 'tr']

    referencia = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}))
    titulo = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}))
    tr = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}))


class RiesgoForm(forms.ModelForm):
    class Meta:
        model = Riesgo

        fields = ['fecha',
                  'proyecto',
                  'titulo',
                  'descripcion',
                  'responsable',
                  'importe',
                  'probabilidad',
                  'valor',
                  'fecha_liberacion',
                  'a_liberar',
                  'a_ejecutar',
                  'accion']

        exclude = ['valor']

    fecha = forms.DateField(
            widget=forms.DateInput(attrs={'type': 'date', 'class': 'form-control'}))

    proyecto = forms.ModelChoiceField(
        queryset=Proyecto.objects.all(),
        widget=forms.Select(attrs={'class': 'form-control'}))

    importe = forms.DecimalField(
        widget=forms.NumberInput(attrs={'class': 'form-control'}))

    probabilidad = forms.DecimalField(
        widget=forms.NumberInput(attrs={'class': 'form-control'}))

    a_liberar = forms.BooleanField(initial=False, required=False)
    a_ejecutar = forms.BooleanField(initial=False, required=False)

    fecha_liberacion = forms.DateField(
            widget=forms.DateInput(attrs={'type': 'date', 'class': 'form-control'}))
